Skip to main content
GET
/
v1
/
project
/
{projectName}
/
admin-logs
List admin logs
curl --request GET \
  --url https://public-api.forestadmin.com/v1/project/{projectName}/admin-logs \
  --header 'Authorization: Bearer <token>'
{
  "hasMore": false,
  "parameters": {
    "projectName": "Forest"
  },
  "data": [
    {
      "object": "adminLog",
      "id": "rbCb98wCZ1y-_zv4wrXz",
      "type": "update",
      "initiator": "administrator",
      "createdAt": "2024-03-14T15:09:26.535Z",
      "resource": "team",
      "newValue": {
        "name": "Managers UK"
      },
      "user": {
        "object": "user",
        "id": 40,
        "username": "Alice",
        "email": "alice@forestadmin.com"
      },
      "previousValue": {
        "name": "Managers"
      }
    },
    {
      "object": "adminLog",
      "id": "fHCb9IXCZ1y_Pzv4wrXz",
      "type": "add",
      "initiator": "administrator",
      "createdAt": "2024-03-14T15:11:28.148Z",
      "resource": "user-project",
      "newValue": {
        "user": {
          "object": "user",
          "id": 45,
          "username": "John",
          "email": "john@forestadmin.com"
        },
        "role": {
          "object": "role",
          "name": "everything allowed"
        },
        "teams": [
          {
            "object": "team",
            "name": "Managers UK"
          }
        ],
        "permissionLevel": "editor"
      },
      "user": {
        "object": "user",
        "id": 40,
        "username": "Alice",
        "email": "alice@forestadmin.com"
      }
    }
  ]
}
If your project uses SSO, the application token must be generated while logged in with SSO.

Authorizations

Authorization
string
header
required

Bearer authentication

Path Parameters

projectName
string
required

The case sensitive project name

Minimum string length: 1

Query Parameters

limit
integer
default:10

This specifies a limit on the number of objects to return, ranging between 1 and 100. Limit is set to 10 by default

Required range: 1 < x <= 100
userEmail
string<email>

The administrator email

userId
integer

The administrator id

Required range: x >= 1
type
enum<string>

The type of action performed

Available options:
add,
remove,
update,
initial
initiator
enum<string>

The entity that initiated the action

Available options:
administrator,
identityProvider,
forestAdmin
resource
enum<string>

The resource affected by the action

Available options:
user-project,
role,
team,
environment
createdAt.eq
string<date-time>

Value to filter by

createdAt.lt
string<date-time>

Maximum value to filter by (exclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

createdAt.lte
string<date-time>

Minimum value to filter by (inclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

createdAt.gt
string<date-time>

Minimum value to filter by (exclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

createdAt.gte
string<date-time>

Maximum value to filter by (inclusive). This filter supports date-time values in ISO 8601 format (YYYY-MM-DDTHH:MM), e.g., 2024-06-04T09:21:26.159Z.

Response

List of admin logs

hasMore
boolean
required

Whether or not there are more elements available after this set. If false, this set comprises the end of the list.

data
object[]
required
parameters
object
required

The parameters used to fetch the admin logs